<?php
    include("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }

   $id_cd = $sesion->id;
    $prom =$_POST['idprom'];
    $trans =$_POST['pedido'];
       $cdent =$_POST['cdentre'];
    //obtener el mes
    //obtener si ha calificado
    //obtener todos los obsequios disponibles
    //obtener id inver
 $qp3 = "SELECT curdate() as cuenta";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$fecha = $rp3->cuenta;
    $id_inv="SELECT id_inver from inversionista where rfc='$rfc'";
    $id_inverQ=mysql_query($id_inv);
    $id_inverA=mysql_fetch_array($id_inverQ);
    $datef = new DateTime('now');
    $datef->modify('last day of this month');
    $fechai=$datef->format('Y-m-d');
    
    $datei = new DateTime('now');
    $datei->modify('first day of this month');
    $datei->format('Y-m-d');   $fechaf=$datei->format('Y-m-d');
$qp = "SELECT id_inver, rfc, nombre, appat, apmat, vip, idprom, referencia FROM inversionista WHERE id_inver ='$prom'";
    $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
    $rp = mysql_fetch_object($cp);
    $id_dist = $rp->id_inver; $vip = $rp->vip;	$idprom = $rp->idprom;	$ref = $rp->referencia;
    $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;

$qp1 = "SELECT id_inver, rfc, nombre, appat, apmat, vip, idprom, referencia, idtransacciones, fechat, usuarios_ci_idusuarios_ci, consec FROM inversionista join transacciones on inversionista.id_inver=transacciones.inversionista_id_inver WHERE idtransacciones ='$trans'";
    $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
    $rp1 = mysql_fetch_object($cp1);
    $id_dist1 = $rp1->id_inver; $vip1 = $rp1->vip;	$idprom1 = $rp1->idprom;	$ref1 = $rp1->referencia;
    $nombre1 = $rp1->nombre." ".$rp1->appat." ".$rp1->apmat;
  
    $qpl = "UPDATE retencion_obsequio SET fechae = curdate(), id_cde=$id_cd, statuts=1
                    WHERE id_transacc='$trans'";
            $cpl = mysql_query($qpl) or die ('Error (update stock): ' . mysql_error()); 
      
       $qa = "SELECT consec FROM cdconsec WHERE idcd =$id_cd";
   $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $trans = $ra[0]+1;
	};
	if($cdent==$id_cd){
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$prom', '10',curdate(),curtime(),'$id_cd', '$trans','$cdent', 'ENTREGADO', curdate(),'0'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());

        $qp = "UPDATE stock SET cantidad = cantidad - '1'
                    WHERE idprod=4 AND idcd = '$id_cd'";
            $cp = mysql_query($qp) or die ('Error (update stock): ' . mysql_error());
      		
					
	}else{
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$prom', '10',curdate(),curtime(),'$id_cd', '$trans','$cdent', 'PENDIENTE', '0000-00-00','0'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());
	}
	$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$prom' and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $transac = $ra[0];
	};	
	
	
$qIP2 = "INSERT INTO pagovta
							    (	 
							     idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
							    ) 
							    VALUES 
							    (
								    '$transac', '0', '0', '0', '0', '0', '0'
							     )";
					$cIP2 = mysql_query($qIP2) or die ('Error (insert pagovta): ' . mysql_error());	

                                        $qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$id_cd', '$transac','0','0','0','0',  '0',  'INSCRIPCION'
							     )";
					$cP = mysql_query($qP) or die ('Error (insert depositos): ' . mysql_error());
	
					$qP1 = "INSERT INTO pedido
							    (	 
							    transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								 '$transac', '4','1'
							     )";
					$cP1 = mysql_query($qP1) or die ('Error (insert pedido): ' . mysql_error());
					if($idcdin==$cdent){$qpl = "update stock set cantidad=cantidad-$A1[$k] where idprod=$A4[$k] and idcd='$idcdin'";
$cpl = mysql_query($qpl) or die ('Error (update stock): ' . mysql_error());}
		   	

 $qPP = "update cdconsec set consec='$trans' where idcd=$id_cd";
    $rPP = mysql_query($qPP) or die ('ErrPP update consec: '. mysql_error());



     $qa = "SELECT nombre FROM usuarios_ci WHERE idusuarios_ci =$cdent";
   $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $nombreent = $ra[0];
	};        
            
          
     echo"<center>
     <table><tr><td><center><img src=\"notatop.jpg\">
     
     <br><bR>
     <label style='color:#2b385d; font-size:28px; font-weight:bold'>Entrega de Obsequio</label><br>
     Pedido $id_cd - $trans Trans:$transac fecha: $fecha";
    

 echo"Persona que recibe el obsequio<br><table cellspacing=5>
      <tr><td bgcolor=\"#CCFFCC\"><font >$ref</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      <tr><td bgcolor=\"#006633\"><font >Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table>";
  echo"De la siguiente Inscripci&oacute;n<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font >Pedido</font></td>
      <td bgcolor=\"#006633\"><font>Transaccion</font></td>
      
      <td bgcolor=\"#006633\"><font>Referencia</font></td>
      <td bgcolor=\"#006633\"><font>Fecha</font></td></tr> 
      <tr><td bgcolor=\"#CCFFCC\">$rp1->usuarios_ci_idusuarios_ci - $rp1->consec</td>
      <td bgcolor=\"#CCFFCC\">$rp1->idtransacciones</td>
  
      <td bgcolor=\"#CCFFCC\">$ref1</td>
      <td bgcolor=\"#CCFFCC\">$rp1->fechat</td></tr> 
      </table>
      <table cellspacing=5>
     <tr>
      <td bgcolor=\"#006633\"><font>Nombre</font></td>
     </tr> 
      <tr>
      <td bgcolor=\"#CCFFCC\">$nombre1</td>
     </tr> 
      </table>Cd Entrega: $cdent $nombreent<br><br><br><BR>______________________________<br>Recib&iacute; Obsequio</td><td>
      
      <center><img src=\"notatop.jpg\">
     
     <br><bR>
     <label style='color:#2b385d; font-size:28px; font-weight:bold'>Entrega de Obsequio</label><br>";
    

 echo"Persona que recibe el obsequio<br><table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Referencia</font></td><td bgcolor=\"#CCFFCC\">$ref</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table>";
  echo"De la siguiente Inscripcion<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Pedido</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Transaccion</font></td>
      
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Referencia</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Fecha</font></td></tr> 
      <tr><td bgcolor=\"#CCFFCC\">$rp1->usuarios_ci_idusuarios_ci - $rp1->consec</td>
      <td bgcolor=\"#CCFFCC\">$rp1->idtransacciones</td>
  
      <td bgcolor=\"#CCFFCC\">$ref1</td>
      <td bgcolor=\"#CCFFCC\">$rp1->fechat</td></tr> 
      </table>
      <table cellspacing=5>
     <tr>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td>
     </tr> 
      <tr>
      <td bgcolor=\"#CCFFCC\">$nombre1</td>
     </tr> 
    </table>Cd Entrega: $cdent $nombreent<br><br><br><BR>______________________________<br>Recib&iacute; Obsequio
      
      
      </td></tr></table>
      ";
